org.jbpm.marshalling.impl

## Class JBPMMessages.IterationLevel.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.IterationLevel.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.IterationLevel.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.IterationLevelOrBuilder
  Enclosing class:
    JBPMMessages.IterationLevel

      public static final class JBPMMessages.IterationLevel.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.IterationLevel.Builder>
      implements JBPMMessages.IterationLevelOrBuilder

  Protobuf type `org.jbpm.marshalling.IterationLevel`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JBPMMessages.IterationLevel` | `build()`
    `JBPMMessages.IterationLevel` | `buildPartial()`
    `JBPMMessages.IterationLevel.Builder` | `clear()`
    `JBPMMessages.IterationLevel.Builder` | `clearId()` `optional string id = 1;`
    `JBPMMessages.IterationLevel.Builder` | `clearLevel()` `optional int32 level = 2;`
    `JBPMMessages.IterationLevel.Builder` | `clone()`
    `JBPMMessages.IterationLevel` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `String` | `getId()` `optional string id = 1;`
    `com.google.protobuf.ByteString` | `getIdBytes()` `optional string id = 1;`
    `int` | `getLevel()` `optional int32 level = 2;`
    `boolean` | `hasId()` `optional string id = 1;`
    `boolean` | `hasLevel()` `optional int32 level = 2;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `JBPMMessages.IterationLevel.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.IterationLevel.Builder` | `mergeFrom(JBPMMessages.IterationLevel other)`
    `JBPMMessages.IterationLevel.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `JBPMMessages.IterationLevel.Builder` | `setId(String value)` `optional string id = 1;`
    `JBPMMessages.IterationLevel.Builder` | `setIdBytes(com.google.protobuf.ByteString value)` `optional string id = 1;`
    `JBPMMessages.IterationLevel.Builder` | `setLevel(int value)` `optional int32 level = 2;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.IterationLevel.Builder>`

    - #### clear

          public JBPMMessages.IterationLevel.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.IterationLevel.Builder>`

    - #### clone

          public JBPMMessages.IterationLevel.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.IterationLevel.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.IterationLevel.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.IterationLevel getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.IterationLevel build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.IterationLevel buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public JBPMMessages.IterationLevel.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.IterationLevel.Builder>`

    - #### mergeFrom

          public JBPMMessages.IterationLevel.Builder mergeFrom(JBPMMessages.IterationLevel other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.IterationLevel.Builder>`

    - #### mergeFrom

          public JBPMMessages.IterationLevel.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.IterationLevel.Builder>`
      Throws:
        `IOException`

    - #### hasId

          public boolean hasId()

      `optional string id = 1;`
      Specified by:
        `hasId` in interface `JBPMMessages.IterationLevelOrBuilder`

    - #### getId

          public String getId()

      `optional string id = 1;`
      Specified by:
        `getId` in interface `JBPMMessages.IterationLevelOrBuilder`

    - #### getIdBytes

          public com.google.protobuf.ByteString getIdBytes()

      `optional string id = 1;`
      Specified by:
        `getIdBytes` in interface `JBPMMessages.IterationLevelOrBuilder`

    - #### setId

          public JBPMMessages.IterationLevel.Builder setId(String value)

      `optional string id = 1;`

    - #### clearId

          public JBPMMessages.IterationLevel.Builder clearId()

      `optional string id = 1;`

    - #### setIdBytes

          public JBPMMessages.IterationLevel.Builder setIdBytes(com.google.protobuf.ByteString value)

      `optional string id = 1;`

    - #### hasLevel

          public boolean hasLevel()

      `optional int32 level = 2;`
      Specified by:
        `hasLevel` in interface `JBPMMessages.IterationLevelOrBuilder`

    - #### getLevel

          public int getLevel()

      `optional int32 level = 2;`
      Specified by:
        `getLevel` in interface `JBPMMessages.IterationLevelOrBuilder`

    - #### setLevel

          public JBPMMessages.IterationLevel.Builder setLevel(int value)

      `optional int32 level = 2;`

    - #### clearLevel

          public JBPMMessages.IterationLevel.Builder clearLevel()

      `optional int32 level = 2;`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.